System.Web.Services 2.0.0.0 System.Collections.CollectionBase

Use this class to pass a collection of objects when invoking the static method of the class.

Describes a collection of objects.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Int32 ``

  The index of the appended Web reference is greater by one than the index of the last appended Web reference. The index is zero based.

  Appends a instance to the collection.

  The index of the appended Web reference.

  The Web reference to append. 2.0.0.0
- Method
  System.Boolean `` To be added.

  Determines whether the collection contains a given instance.

  true if the collections contains the given Web reference instance; otherwise, false.

  The Web reference to search for. 2.0.0.0
- Method
  System.Void `` ``

  The index is zero based. The array must be large enough to fit the contents of the collection copied into it starting at the specified array index.

  Copies members of the collection to a specified array, starting at the specified array index.

  An array of Web references into which the collection members are copied. The array index at which to begin copying. 2.0.0.0
- Method
  System.Int32 ``

  The index is zero based.

  Determines the index of the specified instance.

  The index of the specified Web reference, or -1 if the collection does not contain the specified Web reference.

  The Web reference to search for. 2.0.0.0
- Method
  System.Void `` ``

  The indices of members of the collection with indices higher than are each increased by one. Indices are zero based.

  Inserts the specified instance at the specified index.

  The index at which to insert the specified Web reference. The Web reference to insert. 2.0.0.0
- Property
  System.Web.Services.Description.WebReference `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  If the collection contains multiple instances of the specified Web reference, only the first instance is removed.

  Removes the specified instance from the collection.

  The Web reference to remove. 2.0.0.0